Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Reactive_Dispatching Class Reference

Dispatch using the caller thread. More...

`#include <CEC_Dispatching.h>`

Inheritance diagram for TAO_CEC_Reactive_Dispatching

[legend]
Collaboration diagram for TAO_CEC_Reactive_Dispatching:

[legend]
List of all members.

## Public Methods
| TAO_CEC_Reactive_Dispatching (void)
| The scheduler is used to find the range of priorities and similar info.
virtual void | activate (void)
| Initialize all the data structures, activate any internal threads, etc.
virtual void | shutdown (void)
virtual void | push (TAO_CEC_ProxyPushSupplier *proxy, const CORBA::Any &event, CORBA::Environment &env = TAO_default_environment ())
| The consumer represented by <proxy> should receive <event>.
virtual void | push_nocopy (TAO_CEC_ProxyPushSupplier *proxy, CORBA::Any &event, CORBA::Environment &env = TAO_default_environment ())

## Detailed Description

Dispatch using the caller thread.

The events are dispatched in FIFO ordering, using the invoking thread to push the event to the consumer.

## Constructor & Destructor Documentation

TAO_CEC_Reactive_Dispatching::TAO_CEC_Reactive_Dispatching ( | void )

| The scheduler is used to find the range of priorities and similar info.

## Member Function Documentation

void TAO_CEC_Reactive_Dispatching::activate ( | void )`[virtual]`

| Initialize all the data structures, activate any internal threads, etc. Reimplemented from TAO_CEC_Dispatching.

void TAO_CEC_Reactive_Dispatching::push ( | TAO_CEC_ProxyPushSupplier * proxy,
| const CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| The consumer represented by <proxy> should receive <event>. Reimplemented from TAO_CEC_Dispatching.

void TAO_CEC_Reactive_Dispatching::push_nocopy ( | TAO_CEC_ProxyPushSupplier * proxy,
| CORBA::Any & event,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Reimplemented from TAO_CEC_Dispatching.

void TAO_CEC_Reactive_Dispatching::shutdown ( | void )`[virtual]`

| Deactivate any internal threads and cleanup internal data structures, it should only return once the threads have finished their jobs. Reimplemented from TAO_CEC_Dispatching.

The documentation for this class was generated from the following files:

- CEC_Dispatching.h
- CEC_Dispatching.cpp